org.codehaus.groovy.util

## Class ComplexKeyHashMap.Entry

- java.lang.Object
- - org.codehaus.groovy.util.ComplexKeyHashMap.Entry

- Direct Known Subclasses:
    DoubleKeyHashMap.Entry, SingleKeyHashMap.Entry, TripleKeyHashMap.Entry
  Enclosing class:
    ComplexKeyHashMap

      public static class ComplexKeyHashMap.Entry
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `hash`
    `ComplexKeyHashMap.Entry` | `next`
    `Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexKeyHashMap.Entry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getValue()`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hash

          public int hash

    - #### next

          public ComplexKeyHashMap.Entry next

    - #### value

          public Object value

  - ### Constructor Detail

    - #### ComplexKeyHashMap.Entry

          public ComplexKeyHashMap.Entry()

  - ### Method Detail

    - #### getValue

          public Object getValue()

    - #### setValue

          public void setValue(Object value)